/*
 * V8_1_To_V8_2.java
 *
 * Created on December 19, 2007, 3:12 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package siprp.update.updates;

import com.evolute.utils.Singleton;
import com.evolute.utils.db.DBManager;
import com.evolute.utils.db.Executer;
import com.evolute.utils.sql.Delete;

/**
 *
 * @author fpalma
 */
public class V8_6_To_V8_7
		implements siprp.update.Update
{
	
	/**
	 * Creates a new instance of V8_6_To_V8_7
	 */
	public V8_6_To_V8_7()
	{
	}
	
	public String []listChanges()
	{
		return new String[]{ "Adicionados campos data_envio e data_recepcao a cada instancia de ECD" };
	}
	
	public double getStartVersion()
	{
		return 8.6;
	}
	
	public double getEndVersion()
	{
		return 8.7;
	}
	
	public void doUpdate()
		throws Exception
	{
		DBManager dbm = ( DBManager ) Singleton.getInstance( Singleton.DEFAULT_DBMANAGER );
		Executer executer = dbm.getSharedExecuter();
		com.evolute.utils.sql.Update update = 
			new com.evolute.utils.sql.Update( 
				"ALTER TABLE trabalhadores_ecd ADD data_envio DATE;" );
		executer.executeQuery( update );
		update = 
			new com.evolute.utils.sql.Update( 
				"ALTER TABLE trabalhadores_ecd ADD data_recepcao DATE;" );
		executer.executeQuery( update );
	}
	
	public String toString()
	{
		return "v" + getStartVersion() + " para v" + getEndVersion();
	}
}
